{% extends "front/base_unlogged.html" %}
{% load static %}
{% load i18n %}

{% block content %}

  <div class="row">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <h1>{% trans "Registo" %}</h1>

      {% if profile_form and user_form %}
      <form class="form" method="post">{% csrf_token %}
        <table>
          {{ profile_form.as_table }}
          {{ user_form.as_table }}
        </table>

        <div class="row">
          <div class="col-xs-6">
          </div>
          <div class="col-xs-6 text-right">
            <button class="btn btn-primary" type="submit" value="register">{% trans "Registo" %}</button>
          </div>
        </div>
      </form>
      {% endif %}

      {% if response %}
      <h4 class="text-warning">{{ response }}</h4>
      {% else %}
      <div class="row text-center">
        <p style="margin-top: 20px;">-- {% trans "Ou registe-se via autenticação federada" %} --</p>
        <button class="btn btn-primary" type="button" onclick="window.location.href='/auth/'" title="EGI Federation Service">
          <img src="{% static 'front/img/egi.png' %}" width="60" alt="egi logo" />
        </button>
      </div>
      {% endif %}
    </div>
    <div class="col-md-3"></div>
  </div>

{% endblock content %}